DevHeads.net

the torch - bash install-deps

Hi teams .

I report a issue about torch, see :

<a href="https://github.com/torch/torch7/issues/1085" title="https://github.com/torch/torch7/issues/1085">https://github.com/torch/torch7/issues/1085</a>
the main reason is: bash install-deps .

As you know:

Torch is a scientific computing framework with wide support for machine
learning algorithms that puts GPUs first. It is easy to use and efficient,
thanks to an easy and fast scripting language, LuaJIT, and an underlying
C/CUDA implementation.

A summary of core features:

a powerful N-dimensional array
lots of routines for indexing, slicing, transposing, …
amazing interface to C, via LuaJIT
linear algebra routines
neural network, and energy-based models
numeric optimization routines
Fast and efficient GPU support
Embeddable, with ports to iOS and Android backends

mythcat

Comments

Re: the torch - bash install-deps

By Bob Mauchin at 10/12/2017 - 11:01

On jeudi 12 octobre 2017 17:38:39 CEST Cătălin George Feștilă wrote:
You can run the command manually instead:

sudo dnf install -y make cmake curl readline-devel ncurses-devel \
gcc-c++ gcc-gfortran git gnuplot unzip \
libjpeg-turbo-devel libpng-devel \
ImageMagick GraphicsMagick-devel fftw-devel \
sox-devel sox qt-devel qtwebkit-devel \
python-ipython czmq czmq-devel

It will do the same thing as the script. It works fine on F27.

Re: the torch - bash install-deps

By catafest at 10/14/2017 - 08:21

the cool think of development is time -> "

On Thu, Oct 12, 2017 at 7:01 PM, Robert-André Mauchin <zebob. ... at gmail dot com>
wrote: